---
default:
  tags:
    - docker

stages:
  - deploy
  - pre-commit

include:
  - remote: https://gitlab.com/renovate-bot/renovate-runner/-/raw/v17.110.2/templates/renovate.gitlab-ci.yml # yamllint disable-line rule:line-length
  - remote: https://gitlab.com/platform-engineering-org/gitlab-ci/-/raw/main/templates/pre-commit.gitlab-ci.yml # yamllint disable-line rule:line-length

variables:
  RENOVATE_ONBOARDING_CONFIG: '{"$$schema": "https://docs.renovatebot.com/renovate-schema.json", "extends": ["github>platform-engineering-org/.github"] }' # yamllint disable-line rule:line-length
  RENOVATE_CONFIG_FILE: "config.js"

renovate:
  extends: .renovate
  stage: deploy
  resource_group: production
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule"'
  artifacts:
    when: always
    expire_in: 1d
    paths:
      - "$RENOVATE_LOG_FILE"

pre-commit:
  extends: .pre-commit
